//
//      Legato Code Examples
//      --------------------
//
//      Properties Sheet
//
//      Group:          Dialog
//      Title:          Property Sheet Dialog
//      Description:    An example of a multiple tab dialog box.
//      Revised:        12/16/2014
//
//      This software is provided on as "as-is" basis with no warranty implied or otherwise.
//      (c) Novaworks, LLC
//

#include "Props Sheet 01.rc"


int	main () {
	string		dlg_name[3];
	string		dlg_proc[3];
        int		rc;

							// Place the resource name and prefixes in arrays

	dlg_name[0] = "Page01Dlg";	dlg_proc[0] = "page01_";
	dlg_name[1] = "Page02Dlg";	dlg_proc[1] = "page02_";
	dlg_name[2] = "Page03Dlg";	dlg_proc[2] = "page03_";
        
							// Note the caption is required since the page caption become
                                                        // the tab captions

	rc = DialogBox(dlg_name, dlg_proc, "My Caption");

							// perform any post processing

	}
        

							// Page 1 - The first page is always loaded
int 	page01_load() {
	EditSetText(101, "Here is Control A");
	EditSetText(102, "Here is Control B");
    	}

int 	page01_validate() {
    	}
        
        
							// Page 2 - Loaded only if clicked on
int 	page02_load() {
	CheckboxSetState(102, 1);
    	}

int 	page02_validate() {
    	}
        
							// Page 3 - Loaded only if clicked on
int 	page03_load() {
	ListBoxAddItem(101, "Item 5");
	ListBoxAddItem(101, "Item 4");
	ListBoxAddItem(101, "Item 3");
	ListBoxAddItem(101, "Item 2");
	ListBoxAddItem(101, "Item 1");
    	}

int 	page03_validate() {
    	}


